## plasma-thunderbolt 6.1.5

=== debian/changelog ===
plasma-thunderbolt (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:01:28 +0100

plasma-thunderbolt (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:43:51 +0100

plasma-thunderbolt (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:16 +0200

plasma-thunderbolt (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 19:53:52 +0200

plasma-thunderbolt (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:17:51 +0200

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: bolt,
               cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

## plasma-thunderbolt 6.2.5

=== debian/changelog ===
plasma-thunderbolt (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:58:07 +0100

plasma-thunderbolt (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:31:25 +0100

plasma-thunderbolt (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:28 +0100

plasma-thunderbolt (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:49:35 +0200

plasma-thunderbolt (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:44 +0200

plasma-thunderbolt (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:50 +0200

plasma-thunderbolt (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: plasma-thunderbolt
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Pino Toscano <pino@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: bolt,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               bolt,
                cmake (>= 3.16~),
                dbus-x11,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6coreaddons-dev (>= 5.240.0~),
@@ -21,14 +20,14 @@
                libkf6notifications-dev (>= 5.240.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt.git
 Rules-Requires-Root: no
 
 Package: plasma-thunderbolt

## plasma-thunderbolt 6.2.90

=== debian/changelog ===
plasma-thunderbolt (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:10:58 +0000

plasma-thunderbolt (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:04:24 +0000

plasma-thunderbolt (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:16:00 +0000

plasma-thunderbolt (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:59:28 +0000

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: bolt,
               cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

## plasma-thunderbolt 6.3.0

=== debian/changelog ===
plasma-thunderbolt (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:13 +0100

plasma-thunderbolt (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:52:04 +0100

plasma-thunderbolt (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:09 +0100

## plasma-thunderbolt 6.3.2

=== debian/changelog ===
plasma-thunderbolt (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:52:18 +0100

## plasma-thunderbolt 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kcm_bolt)

set(CMAKE_CXX_STANDARD 14)

#################################################
# Dependencies
set(QT_MIN_VERSION "6.7.0")
set(KF6_VERSION "5.240.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_VERSION} REQUIRED)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

kde_enable_exceptions()

#################################################
# Dependencies

find_package(Qt6Core ${QT_MIN_VERSION} REQUIRED)
find_package(Qt6Quick ${QT_MIN_VERSION} REQUIRED)
find_package(Qt6DBus ${QT_MIN_VERSION} REQUIRED)
if (BUILD_TESTING)
	find_package(Qt6Test ${QT_MIN_VERSION} REQUIRED)
endif()

find_package(KF6CoreAddons ${KF6_VERSION} REQUIRED)
find_package(KF6KCMUtils ${KF6_VERSION} REQUIRED)
find_package(KF6I18n ${KF6_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF6_VERSION} REQUIRED)
find_package(KF6Notifications ${KF6_VERSION} REQUIRED)

find_package(Bolt)
set_package_properties(Bolt PROPERTIES DESCRIPTION "Thunderbolt device manager"
                       URL "https://gitlab.freedesktop.org/bolt/bolt"
                       PURPOSE "Runtime-only dependency for Thunderbolt KCM"
                       TYPE RUNTIME)

#################################################
ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)


if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(src)

################################################

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-thunderbolt (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:59:39 +0200

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               bolt,
               cmake (>= 3.16~),
               dbus-x11,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt.git
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

## plasma-thunderbolt 6.3.5

=== debian/changelog ===
plasma-thunderbolt (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:36:09 +0100

plasma-thunderbolt (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:58:30 +0100

plasma-thunderbolt (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:24:31 +0000

plasma-thunderbolt (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 >= 6.10.0

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 13:15:09 +0000

## plasma-thunderbolt 6.4.2

=== debian/changelog ===
plasma-thunderbolt (6.4.2-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 12:20:37 +0000

plasma-thunderbolt (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:37:32 +0000

plasma-thunderbolt (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:52:23 +0000

plasma-thunderbolt (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:28:32 +0000

plasma-thunderbolt (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:01:08 +0000

plasma-thunderbolt (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:14:36 +0000

plasma-thunderbolt (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:11:44 +0000

plasma-thunderbolt (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:13:42 +0000

plasma-thunderbolt (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:58:04 +0000

plasma-thunderbolt (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:32:50 +0000

plasma-thunderbolt (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:25:46 +1000

plasma-thunderbolt (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:37:23 +0000

plasma-thunderbolt (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:15:36 +0000

plasma-thunderbolt (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:08:26 +0000

plasma-thunderbolt (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:16:50 +0000

plasma-thunderbolt (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Sep 2024 18:20:39 +0000

plasma-thunderbolt (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:15:53 +0000

plasma-thunderbolt (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:33:39 +0000

plasma-thunderbolt (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:09:37 +0000

plasma-thunderbolt (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:43:21 +0000

plasma-thunderbolt (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 11:55:25 +0000

plasma-thunderbolt (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:21:22 +0000

plasma-thunderbolt (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:52:10 +0000

plasma-thunderbolt (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:16:57 +0000

plasma-thunderbolt (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:24:45 +0000

plasma-thunderbolt (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:46 +1000

plasma-thunderbolt (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:53:35 +0000

plasma-thunderbolt (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:02:30 +0000

plasma-thunderbolt (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:08:34 +0000

plasma-thunderbolt (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:24:12 +0000

plasma-thunderbolt (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:12:19 +0000

plasma-thunderbolt (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 11:55:19 +0000

plasma-thunderbolt (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:35:12 +0000

plasma-thunderbolt (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:14:59 +0000

plasma-thunderbolt (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:07:15 +0000

plasma-thunderbolt (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:37:56 +0000

plasma-thunderbolt (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:32:21 +0000

plasma-thunderbolt (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:50:40 +0000

plasma-thunderbolt (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:49:29 +0000

plasma-thunderbolt (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:25:26 +0000

plasma-thunderbolt (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:03:32 +0000

plasma-thunderbolt (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:43:53 +0000

plasma-thunderbolt (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:14:58 +0000

plasma-thunderbolt (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:09:37 +0000



=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Build-Depends: bolt,
               cmake,
               debhelper (>= 12),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-declarative-dev
Standards-Version: 3.9.6
Homepage: https://cgit.kde.org/plasma-thunderbolt.git/
Vcs-Git: https://invent.kde.org/neon/kde/plasma-thunderbolt.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-thunderbolt
Maintainer: Neon CI <neon@kde.org>

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         kf6-kcmutils,
         kf6-kdeclarative,
         kf6-kirigami2,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma integration for controlling Thunderbolt devices
 Plasma integration for controlling Thunderbolt monitors.

## plasma-thunderbolt 6.4.3

=== debian/changelog ===
plasma-thunderbolt (6.4.3-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:50:42 +0000

plasma-thunderbolt (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:10:49 +0000

## plasma-thunderbolt 6.4.4

=== autotests/CMakeLists.txt ===
add_subdirectory(fakeserver)
add_subdirectory(lib)
add_subdirectory(kded)

=== debian/changelog ===
plasma-thunderbolt (6.4.4-0zneon+24.04+noble+release+build34) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 13:59:12 +0000

plasma-thunderbolt (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:22:51 +0000

## plasma-thunderbolt 6.4.5

=== debian/changelog ===
plasma-thunderbolt (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:58 +0100

plasma-thunderbolt (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:31:11 +0100

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: bolt,
               cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dbus-launch --exit-with-session dh_auto_test --no-parallel

## plasma-thunderbolt 6.4.5+p24.04+vstable+git20250930.0556

=== debian/changelog ===
plasma-thunderbolt (6.4.5+p24.04+vstable+git20250930.0556-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:56:58 +0000

plasma-thunderbolt (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:37:59 +0000

## plasma-thunderbolt 6.4.5+p24.04+vstable+git20251004.0509

=== debian/changelog ===
plasma-thunderbolt (6.4.5+p24.04+vstable+git20251004.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:10:00 +0000

## plasma-thunderbolt 6.4.91

=== debian/changelog ===
plasma-thunderbolt (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:38:25 +0200

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               bolt,
               cmake (>= 3.16~),
               dbus-x11,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt.git
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

## plasma-thunderbolt 6.5.0

=== autotests/kded/CMakeLists.txt ===
include(ECMAddTests)

include_directories(
    ${CMAKE_SOURCE_DIR}/src/kded
    ${CMAKE_BINARY_DIR}/src/kded
)

ecm_add_test(
    kdedtest.cpp
    ${CMAKE_SOURCE_DIR}/src/kded/kded_bolt.cpp
    ${CMAKE_BINARY_DIR}/src/kded/kded_bolt_debug.cpp
    TEST_NAME kdedtest
    LINK_LIBRARIES kbolt libboltfakeserver Qt::Test Qt::Core Qt::DBus KF6::CoreAddons KF6::DBusAddons KF6::I18n KF6::Notifications
    NAME_PREFIX kbolt-kded-
)
set_target_properties(kdedtest PROPERTIES CXX_STANDARD 14)

=== debian/changelog ===
plasma-thunderbolt (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:43 +0200

## plasma-thunderbolt 6.5.0+p24.04+vstable+git20251021.1027

=== debian/changelog ===
plasma-thunderbolt (6.5.0+p24.04+vstable+git20251021.1027-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 10:27:45 +0000

plasma-thunderbolt (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:33:37 +0000

## plasma-thunderbolt 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 #################################################
 # Dependencies
-set(QT_MIN_VERSION "6.7.0")
+set(QT_MIN_VERSION "6.9.0")
 set(KF6_VERSION "5.240.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
@@ -51,8 +51,8 @@
                        TYPE RUNTIME)
 
 #################################################
-ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.9.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )

=== src/kded/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kded_bolt\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)



add_library(kded_bolt MODULE)
target_sources(kded_bolt PRIVATE
    main.cpp
    kded_bolt.cpp
    kded_bolt.h
)
ecm_qt_declare_logging_category(kded_bolt
    HEADER kded_bolt_debug.h
    IDENTIFIER log_kded_bolt
    CATEGORY_NAME org.kde.bolt.kded
)
set_target_properties(kded_bolt PROPERTIES CXX_STANDARD 14)
target_link_libraries(kded_bolt
    KF6::DBusAddons
    KF6::I18n
    KF6::Notifications
    KF6::CoreAddons
    kbolt
)

install(TARGETS kded_bolt DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)
install(FILES kded_bolt.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
plasma-thunderbolt (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:12:37 +0100

## plasma-thunderbolt 6.5.1+p24.04+vstable+git20251029.0740

=== debian/changelog ===
plasma-thunderbolt (6.5.1+p24.04+vstable+git20251029.0740-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:40:04 +0000

plasma-thunderbolt (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:01:09 +0000

## plasma-thunderbolt 6.5.2

=== autotests/lib/CMakeLists.txt ===
include(ECMAddTests)

macro(add_libkbolt_test name)
    ecm_add_test(
        ${name}.cpp
        LINK_LIBRARIES kbolt libboltfakeserver Qt::Test Qt::Core Qt::DBus
        NAME_PREFIX libkbolt-
    )
    set_target_properties(${name} PROPERTIES CXX_STANDARD 14)
endmacro()

add_libkbolt_test(managertest)
add_libkbolt_test(devicetest)

=== src/lib/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(LIBKBOLT_SRCS
    dbushelper.cpp
    device.cpp
    devicemodel.cpp
    enum.cpp
    manager.cpp

    dbushelper.h
    device.h
    devicemodel.h
    enum.h
    manager.h
)

ecm_qt_declare_logging_category(LIBKBOLT_SRCS
    HEADER libkbolt_debug.h
    IDENTIFIER log_libkbolt
    CATEGORY_NAME org.kde.libkbolt
)

qt_add_dbus_interfaces(
    LIBKBOLT_SRCS

    ../interfaces/org.freedesktop.bolt1.manager.xml
    ../interfaces/org.freedesktop.bolt1.device.xml
)

add_library(kbolt SHARED ${LIBKBOLT_SRCS})
set_target_properties(kbolt PROPERTIES CXX_STANDARD 14)
generate_export_header(kbolt)
target_link_libraries(kbolt
    Qt6::Core
    Qt6::DBus
    KF6::I18n
)

target_include_directories(kbolt PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
)

# Don't create soname for kbolt, it's a private library
install(TARGETS kbolt ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
plasma-thunderbolt (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:10 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
 Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt.git
-Rules-Requires-Root: no
 
 Package: plasma-thunderbolt
 Architecture: any

## plasma-thunderbolt 6.5.3

=== debian/changelog ===
plasma-thunderbolt (6.5.3-2) unstable; urgency=medium

  * CI: update/simplify configuration.
  * Switch from dbus-launch to dbus-run-session to run the upstream test suite:
    (Closes: #1117102)
    - use dbus-run-session to execute dh_auto_test rather than dbus-launch
    - switch the dbus-x11 build dependency to test-only dbus-daemon

 -- Pino Toscano <pino@debian.org>  Mon, 24 Nov 2025 08:05:48 +0100

plasma-thunderbolt (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:55 +0100

## plasma-thunderbolt 6.5.3+p24.04+vunstable+git20251209.0403

=== debian/changelog ===
plasma-thunderbolt (6.5.3+p24.04+vunstable+git20251209.0403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 04:03:50 +0000

plasma-thunderbolt (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:14:58 +1000

plasma-thunderbolt (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:04 +1000

## plasma-thunderbolt 6.5.4

=== debian/changelog ===
plasma-thunderbolt (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:51:41 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                bolt,
                cmake (>= 3.16~),
-               dbus-x11,
+               dbus-daemon <!nocheck>,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6coreaddons-dev (>= 5.240.0~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test --no-parallel

## plasma-thunderbolt 6.5.4+p24.04+vstable+git20251231.0202

=== debian/changelog ===
plasma-thunderbolt (6.5.4+p24.04+vstable+git20251231.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:02:29 +0000

plasma-thunderbolt (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:17 +1000

## plasma-thunderbolt 6.5.4+p24.04+vstable+git20260101.0107

=== debian/changelog ===
plasma-thunderbolt (6.5.4+p24.04+vstable+git20260101.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:07:08 +0000

## plasma-thunderbolt 6.5.4+p24.04+vstable+git20260107.0842

=== debian/changelog ===
plasma-thunderbolt (6.5.4+p24.04+vstable+git20260107.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:42:20 +0000

## plasma-thunderbolt 6.5.4+p24.04+vstable+git20260109.0316

=== debian/changelog ===
plasma-thunderbolt (6.5.4+p24.04+vstable+git20260109.0316-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 03:16:54 +0000

## plasma-thunderbolt 6.5.4+p24.04+vunstable+git20251209.1343

=== debian/changelog ===
plasma-thunderbolt (6.5.4+p24.04+vunstable+git20251209.1343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 13:43:41 +0000

## plasma-thunderbolt 6.5.5

=== debian/changelog ===
plasma-thunderbolt (6.5.5-0zneon+24.04+noble+release+build42) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 21:04:31 +0000

plasma-thunderbolt (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:20 +1000

## plasma-thunderbolt 6.5.5+p24.04+vstable+git20260122.0538

=== debian/changelog ===
plasma-thunderbolt (6.5.5+p24.04+vstable+git20260122.0538-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:38:34 +0000

## plasma-thunderbolt 6.5.5+p24.04+vstable+git20260130.0920

=== src/kcm/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_bolt\")

kcmutils_add_qml_kcm(kcm_bolt SOURCES kcm_bolt.cpp thunderboltmoduledata.cpp)
target_link_libraries(kcm_bolt PRIVATE
    KF6::KCMUtilsQuick
    KF6::I18n
    kbolt
)

=== debian/changelog ===
plasma-thunderbolt (6.5.5+p24.04+vstable+git20260130.0920-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:20:28 +0000

## plasma-thunderbolt 6.5.5+p24.04+vunstable+git20260120.2337

=== debian/changelog ===
plasma-thunderbolt (6.5.5+p24.04+vunstable+git20260120.2337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 23:37:22 +0000

## plasma-thunderbolt 6.5.5+p24.04+vunstable+git20260130.1405

=== debian/changelog ===
plasma-thunderbolt (6.5.5+p24.04+vunstable+git20260130.1405-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:05:17 +0000

## plasma-thunderbolt 6.6.1

=== debian/changelog ===
plasma-thunderbolt (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:42 +0000

plasma-thunderbolt (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:07:53 +0000

plasma-thunderbolt (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:21:05 +0000

plasma-thunderbolt (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:40 +0000

plasma-thunderbolt (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:24 +0000

plasma-thunderbolt (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:42 +0000

plasma-thunderbolt (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:26 +0100

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: bolt,
               cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

## plasma-thunderbolt 6.6.2

=== debian/changelog ===
plasma-thunderbolt (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:45 +0000
